www.cendio.com
Bug 4986 - Push FLTK patches upstream
: Push FLTK patches upstream
Status: CLOSED FIXED
: ThinLinc
Other
: trunk
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-02-11 16:36 by
Modified: 2014-10-06 15:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-02-11 16:36:27
Continuation of bug 4830, which in turn was a continuation of bug 4786.
------- Comment #1 From cendio 2014-06-10 16:11:01 -------
Time for a status check.

Committed:

Patch10: fltk-1.3.2-osx-10.4.patch
Patch21: fltk-1.3.2-shared.patch
Patch201: fltk-1.3.x-clipboard.patch
Patch202: fltk-1.3.x-clipboard-x11.patch
Patch204: fltk-1.3.x-clipboard-win32-fix.patch
Patch205: fltk-1.3.x-clipboard-win32.patch
Patch206: fltk-1.3.x-clipboard-osx.patch
Patch900: fltk-1.3.x-screen_num.patch
Patch1000: fltk-1.3.2-wmquit.patch
Patch1001: fltk-1.3.2-workarea.patch

Not committed:

Patch20: fltk-1.3.x-cmake-fpic.patch
Patch101: fltk-1.3.x-keyboard-x11.patch
Patch102: fltk-1.3.x-keyboard-win32.patch
Patch103: fltk-1.3.x-keyboard-osx.patch
Patch207: fltk-1.3.x-clipboard-win32-fix2.patch
Patch400: fltk-1.3.x-pixmap.patch
Patch401: fltk-1.3.x-cursor.patch
Patch700: fltk-1.3.0-modal.patch
Patch800: fltk-1.3.0-icons.patch
Patch901: fltk-1.3.x-multihead.patch
------- Comment #2 From cendio 2014-06-10 16:24:15 -------
Committed:

Patch207: fltk-1.3.x-clipboard-win32-fix2.patch
------- Comment #3 From cendio 2014-06-11 11:22:26 -------
Committed:

Patch901: fltk-1.3.x-multihead.patch
------- Comment #4 From cendio 2014-06-11 16:17:24 -------
Committed:

Patch700: fltk-1.3.0-modal.patch

It exposed another issue in fltk though where menus will stack below full
screen windows. Patch sent to the mailing list for review.
------- Comment #5 From cendio 2014-06-12 15:30:02 -------
Committed:

Patch400: fltk-1.3.x-pixmap.patch
------- Comment #6 From cendio 2014-06-16 13:42:04 -------
(In reply to comment #4)
> It exposed another issue in fltk though where menus will stack below full
> screen windows. Patch sent to the mailing list for review.

Committed.

Also committed:

Patch401: fltk-1.3.x-cursor.patch
Patch800: fltk-1.3.0-icons.patch
------- Comment #7 From cendio 2014-06-16 13:43:58 -------
What's left now is:

Patch20: fltk-1.3.x-cmake-fpic.patch
Patch101: fltk-1.3.x-keyboard-x11.patch
Patch102: fltk-1.3.x-keyboard-win32.patch
Patch103: fltk-1.3.x-keyboard-osx.patch


The keyboard stuff will most likely get rewritten on bug 4677, so no need to
push that. And the cmake fix needs further investigation as it is not clear why
it is required. Might be something specific for us.
------- Comment #8 From cendio 2014-09-11 15:23:11 -------
(In reply to comment #7)
> What's left now is:
> 
> Patch20: fltk-1.3.x-cmake-fpic.patch

I cannot find anything that breaks after I remove this patch, so let's get rid
of it.
------- Comment #9 From cendio 2014-09-15 13:33:03 -------
Done.
------- Comment #10 From cendio 2014-09-22 16:30:22 -------
The comments for the later patches are a bit sparse, or non-existent, but it
seems that everything is upstream.